addslashes
chop
String Functions
PHP Manual

# bin2hex

(PHP 4, PHP 5)

bin2hex — Convert binary data into hexadecimal representation

### Description

string bin2hex ( string `$str` )

Returns an ASCII string containing the hexadecimal representation of `str` . The conversion is done byte-wise with the high-nibble first.

### Parameters

`str`

  A character.

### Return Values

Returns the hexadecimal representation of the given string.

### See Also

- pack()
- unpack()

addslashes
chop
String Functions
PHP Manual